/*
 * The program send/receive UDP message for Echo deamon
 */

import java.io.*;
import java.net.*;

class EchoClient {
	public static void main(String[] args) throws IOException {
		String srvName = "localhost";
		int srvPort = 7;

		System.out.println("resolving server name.");
		InetAddress srvAddr = InetAddress.getByName(srvName);
		System.out.println("srvAddr=" + srvAddr.toString());

		System.out.println("making socket.");
		DatagramSocket dSocket = new DatagramSocket();
		System.out.println("dSocket.LocalPort=" + dSocket.getLocalPort());

		System.out.println("reading data from standard input.");
		String line = new BufferedReader(new InputStreamReader(System.in)).readLine();
		byte[] sBuf = line.getBytes();

		System.out.println("sending packet.");
		DatagramPacket sPacket = new DatagramPacket(sBuf, sBuf.length, srvAddr, srvPort);
		dSocket.send(sPacket);

		System.out.println("receiving packet.");
		byte[] rBuf = new byte[sBuf.length];
		DatagramPacket rPacket = new DatagramPacket(rBuf, rBuf.length);
		dSocket.receive(rPacket);

		System.out.println("printing data.");
		System.out.println(new BufferedReader
			(new InputStreamReader(new ByteArrayInputStream(rBuf))).readLine());
		System.out.println("closing socket.");
		System.in.read();
		dSocket.close();
	}
}
